net.minecraft.world.storage

## Class SaveFormatComparator

- java.lang.Object
- - net.minecraft.world.storage.SaveFormatComparator

- All Implemented Interfaces:
    Comparable

      public class SaveFormatComparator
      extends Object
      implements Comparable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveFormatComparator(String par1Str, String par2Str, long par3, long par5, EnumGameType par7EnumGameType, boolean par8, boolean par9, boolean par10)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Object par1Obj)`
    `int` | `compareTo(SaveFormatComparator par1SaveFormatComparator)`
    `boolean` | `getCheatsEnabled()`
    `String` | `getDisplayName()` return the display name of the save
    `EnumGameType` | `getEnumGameType()` Gets the EnumGameType.
    `String` | `getFileName()` return the file name
    `long` | `getLastTimePlayed()`
    `boolean` | `isHardcoreModeEnabled()`
    `boolean` | `requiresConversion()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaveFormatComparator

          public SaveFormatComparator(String par1Str,
                              String par2Str,
                              long par3,
                              long par5,
                              EnumGameType par7EnumGameType,
                              boolean par8,
                              boolean par9,
                              boolean par10)

  - ### Method Detail

    - #### getFileName

          public String getFileName()

      return the file name

    - #### getDisplayName

          public String getDisplayName()

      return the display name of the save

    - #### requiresConversion

          public boolean requiresConversion()

    - #### getLastTimePlayed

          public long getLastTimePlayed()

    - #### compareTo

          public int compareTo(SaveFormatComparator par1SaveFormatComparator)

    - #### getEnumGameType

          public EnumGameType getEnumGameType()

      Gets the EnumGameType.

    - #### isHardcoreModeEnabled

          public boolean isHardcoreModeEnabled()

    - #### getCheatsEnabled

          public boolean getCheatsEnabled()

      Returns:
        `true` if cheats are enabled for this world

    - #### compareTo

          public int compareTo(Object par1Obj)

      Specified by:
        `compareTo` in interface `Comparable`